Share with a user (upsert)
curl --request PUT \
--url https://scribe.skeptrune.com/api/docs/{id}/shares/{userId} \
--header 'Content-Type: application/json' \
--cookie scribe_session= \
--data '
{
"role": "editor"
}
'import requests
url = "https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}"
payload = { "role": "editor" }
headers = {
"cookie": "scribe_session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'scribe_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'editor'})
};
fetch('https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'role' => 'editor'
]),
CURLOPT_COOKIE => "scribe_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}"
payload := strings.NewReader("{\n \"role\": \"editor\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "scribe_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}")
.header("cookie", "scribe_session=")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"editor\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'scribe_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"editor\"\n}"
response = http.request(request)
puts response.read_body{
"userId": "usr_3fGhJkLmNpQrStUvWx5y",
"email": "[email protected]",
"name": "Grace Hopper",
"role": "editor",
"createdAt": 1752624000000
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Shares
Share with a user (upsert)
Grants or updates a role for a user on this document. Requires write access (owner or editor) on the document; API keys with edit access act as their agent identity.
PUT
/
api
/
docs
/
{id}
/
shares
/
{userId}
Share with a user (upsert)
curl --request PUT \
--url https://scribe.skeptrune.com/api/docs/{id}/shares/{userId} \
--header 'Content-Type: application/json' \
--cookie scribe_session= \
--data '
{
"role": "editor"
}
'import requests
url = "https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}"
payload = { "role": "editor" }
headers = {
"cookie": "scribe_session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'scribe_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'editor'})
};
fetch('https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'role' => 'editor'
]),
CURLOPT_COOKIE => "scribe_session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}"
payload := strings.NewReader("{\n \"role\": \"editor\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "scribe_session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}")
.header("cookie", "scribe_session=")
.header("Content-Type", "application/json")
.body("{\n \"role\": \"editor\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/docs/{id}/shares/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'scribe_session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"role\": \"editor\"\n}"
response = http.request(request)
puts response.read_body{
"userId": "usr_3fGhJkLmNpQrStUvWx5y",
"email": "[email protected]",
"name": "Grace Hopper",
"role": "editor",
"createdAt": 1752624000000
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Authorizations
cookieAuthbearerAuth
Browser session cookie set by the WorkOS sign-in flow.
Path Parameters
Id of the document to share.
User id to grant the role to.
Body
application/json
The role to grant.
Role to grant to the user on this document.
Role level to set for the user on the document.
Available options:
viewer, commenter, editor Example:
"editor"
Response
The share entry after the grant or role update.
A per-user share entry on a document.
User id the document is shared with.
Example:
"usr_3fGhJkLmNpQrStUvWx5y"
Email of that user.
Example:
Display name of that user.
Example:
"Grace Hopper"
Per-document share role.
Available options:
viewer, commenter, editor Example:
"editor"
When the share was granted (epoch milliseconds).
Example:
1752624000000